orpie_1.5.1-10_amd64.deb


Advertisement

Description

orpie - RPN calculator for the terminal

Distribution: Debian 7 (Wheezy)
Repository: Debian Main amd64
Package name: orpie
Package version: 1.5.1
Package release: 10
Package architecture: amd64
Package type: deb
Installed size: 2.22 KB
Download size: 795.96 KB
Official Mirror: ftp.br.debian.org
Orpie is a fullscreen RPN calculator for the console. Its operation is similar to that of modern HP calculators, but data entry has been optimized for efficiency on a PC keyboard. Features include: * real and complex numbers and matrices * extensive function library * command completion of function names * base conversions * units and conversion factor handling * exact integer arithmetic, with unlimited integer size * visible stack, with browsing/modification capability * user-defined variables * user-configurable keybindings, via a Mutt-like rcfile * context-sensitive help

Alternatives

    Download

    Binary package: orpie_1.5.1-10_amd64.deb
    Source package: orpie

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install orpie deb package:
      # sudo apt-get install orpie

    Files

    • /etc/orpierc
    • /usr/bin/orpie
    • /usr/bin/orpie-curses-keys
    • /usr/share/doc-base/orpie
    • /usr/share/doc/orpie/changelog.Debian.gz
    • /usr/share/doc/orpie/copyright
    • /usr/share/doc/orpie/manual.html
    • /usr/share/doc/orpie/manual.pdf.gz
    • /usr/share/man/man1/orpie-curses-keys.1.gz
    • /usr/share/man/man1/orpie.1.gz
    • /usr/share/man/man5/orpierc.5.gz

    Changelog

    2011-10-10 - Uwe Steinmann <steinm@debian.org> orpie (1.5.1-10) unstable; urgency=low * do not depend on ocaml anymore (Closes: #644878)

    2010-11-19 - Uwe Steinmann <steinm@debian.org> orpie (1.5.1-9) unstable; urgency=low * Added armhf to architecture list (Closes: #604536)

    2010-05-17 - Uwe Steinmann <steinm@debian.org> orpie (1.5.1-8) unstable; urgency=low * Added sh4 to architecture list (Closes: #581679)

    2009-12-07 - Cyril Brulebois <kibi@debian.org> orpie (1.5.1-7.1) unstable; urgency=high [ Richard Darst ] * Non-maintainer upload. * Link against system-wide libocamlgsl-ocaml: - Add libocamlgsl-ocaml-dev to Build-Depends and tweak Makefile.in - Also regenerate the depend file included in the distribution, to building avoid compile of private GSL files. Since depend was statically included in the distribution, I left it statically included instead of dynamically regenerating. - This fixes the FTBFS due to undefined references during linking (Closes: #527732). - This obviously also fixes the use of embedded code copy reported by Stéphane Glondu (Closes: #550058). [ Cyril Brulebois ] * Slightly reword the changelog to describe exactly what's going on. * Set urgency to “high” as it also affects testing. * Many thanks to Richard for the hard work!

    2008-05-25 - Uwe Steinmann <steinm@debian.org> orpie (1.5.1-7) unstable; urgency=low * Added hurd-i386 to architecture list (Closes: #482903)

    2008-03-30 - Uwe Steinmann <steinm@debian.org> orpie (1.5.1-6) unstable; urgency=low * Updated watch file to new download page * Updated copyright file to new download page * fixed lintian errors

    2008-01-26 - Uwe Steinmann <steinm@debian.org> orpie (1.5.1-5) unstable; urgency=low * Added kfreebsd-amd64 to architecture list (Closes: #462722)

    2008-01-26 - Uwe Steinmann <steinm@debian.org> orpie (1.5.1-4) unstable; urgency=low * Added armel to architecture list (Closes: #462619) * fixed lintian warning about extra white space in orpie.doc-base

    2007-11-27 - Uwe Steinmann <steinm@debian.org> orpie (1.5.1-3) unstable; urgency=low * Do not build for hppa and sparc because the gsl bindings fail to compile (Closes: #444494)

    2007-09-14 - Uwe Steinmann <steinm@debian.org> orpie (1.5.1-2) unstable; urgency=low * Build-Depend on ocaml-nox (>= 3.10.0), camlp4 (>= 3.10.0) (Closes: #442233)

    Advertisement
    Advertisement